Package csb :: Package statistics :: Package samplers :: Class State

[frames] | no frames]

# Class State

source code

       object --+
                |
    AbstractState --+
                    |
                   State

Represents a point in phase-space.

Nested Classes
Inherited from `AbstractState`: `__metaclass__`

Instance Methods

__eq__(self, other) | source code

__init__(self, position, momentum=None) x.__init__(...) initializes x; see help(type(x)) for signature | source code

clone(self) | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Static Methods

check_equal_length(q, p) Check whether arguments have equal length. | source code

check_flat_array(*args) Check whether arguments are flat, one-dimensional numpy arrays. | source code

Class Variables
| __abstractmethods__ = ``frozenset([``])``

Properties
| momentum
| position
Inherited from `object`: `__class__`

Method Details

### __init__(self, position, momentum=None)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

Property Details

### momentum

Get Method:
  unreachable.momentum(self)
Set Method:
  unreachable.momentum(self, value)

### position

Get Method:
  unreachable.position(self)
Set Method:
  unreachable.position(self, value)